#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct NumericArrayCellConfig {
    #[builder(
        default,
        custom(
            type = impl
            Into<Option<super::NumericArrayVisualisation>>,
            convert = |v|v.into().map(Box::new)
        )
    )]
    #[serde(rename = "visualisation", skip_serializing_if = "Option::is_none", default)]
    visualisation: Option<Box<super::NumericArrayVisualisation>>,
    #[builder(
        default,
        custom(
            type = impl
            Into<Option<super::NumberFormat>>,
            convert = |v|v.into().map(Box::new)
        )
    )]
    #[serde(rename = "numberFormat", skip_serializing_if = "Option::is_none", default)]
    number_format: Option<Box<super::NumberFormat>>,
}
impl NumericArrayCellConfig {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn visualisation(&self) -> Option<&super::NumericArrayVisualisation> {
        self.visualisation.as_ref().map(|o| &**o)
    }
    #[inline]
    pub fn number_format(&self) -> Option<&super::NumberFormat> {
        self.number_format.as_ref().map(|o| &**o)
    }
}
